<?php 
require_once("conn.php");
require_once("config.php");
$array=array();								//定义一个空数组
$ddnumber=base64_decode($_GET["ddno"]);
$sql=mysql_query("select * from tb_commodity_order_form where ddnumber='".$ddnumber."'",$conn);
$info=mysql_fetch_array($sql);
array_push($array,$info);				//将获取的数组值写入到新的数组中
$smarty->assign("info",$array);

$array=explode("@",$info["spc"]);
$arraynum=explode("@",$info["slc"]);
$totalprice=0;									//定义价格变量
$arrayinfo=array();								//创建数组
for($i=0;$i<count($array);$i++){
	if($array[$i]!=""){
		$sqlcart=mysql_query("select * from tb_commodity where tb_commodity_id='".$array[$i]."'",$conn);
		$infocart=mysql_fetch_array($sqlcart);	//读取数据库中数据
    	$totalprices=$infocart["tb_commodity_price"]*$arraynum["$i"];		//计算总的价格
		array_push($infocart,$arraynum["$i"]);  //将购买数量的数据写入到数据库中返回的数组中    
		array_push($infocart,$totalprices);  //将购买数量的数据写入到数据库中返回的数组中    
    	array_push($arrayinfo,$infocart);       //将整理的数据压入到创建的新数组中
    	$totalprice+=$infocart["tb_commodity_price"]*$arraynum["$i"];		//计算总的价格
	}
}
if(count($arrayinfo)>0){						//判断数组是否为空
$gnum=count($arrayinfo);
	$smarty->assign("isShow","T");
  	$smarty->assign("gnum",$gnum);
  	$smarty->assign("myrow",$arrayinfo);
  	$smarty->assign("totalprice",$totalprice);
}else{
  	$smarty->assign("isShow","F");
}
$smarty->display("shopping_dd.tpl");




?>